> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lumenaza.de/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a technical resource.

> creates a new technical resource.



## OpenAPI

````yaml /lumx_openapi.yaml post /v3/master_data/changes/redispatch/technical_resources/
openapi: 3.0.3
info:
  title: Lumenaza external API
  version: 3.8.0 (v3)
  description: Specification of the Lumenaza external API.
servers:
  - url: https://api.lumenaza.de/
    description: Produktivserver
  - url: https://api.test.lumenaza.de/
    description: Testserver
security: []
tags:
  - name: Community Data API
    description: >-
      The API is used to retrieve master data and measurement data for a
      community. A community is defined by all customers that belong to your
      company.
paths:
  /v3/master_data/changes/redispatch/technical_resources/:
    post:
      tags:
        - master_data
      summary: Create a technical resource.
      description: creates a new technical resource.
      operationId: master_data_changes_redispatch_technical_resources_create
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MasterDataTechnicalResource'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/MasterDataTechnicalResource'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/MasterDataTechnicalResource'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MasterDataTechnicalResource'
          description: ''
        '400':
          content:
            application/json:
              schema:
                type: object
                additionalProperties: {}
              examples:
                ContractNotFound:
                  value:
                    contract_id: contract not found
                  summary: Contract not found
                ContractNotLinkedToAnyPlant:
                  value:
                    contract_id: contract not linked to any plant
                  summary: Contract not linked to any plant
                ContractLinkedToUnsupportedPlantType:
                  value:
                    contract_id: contract linked to unsupported plant type
                  summary: Contract linked to unsupported plant type
                ControlResourceDoesNotExist:
                  value:
                    control_resource: does not exist
                  summary: Control resource does not exist
                IDIsNotString:
                  value:
                    market_location_supply: market location ID <malo_id> is not a string
                  summary: ID is not string
                IDMustBe11CharactersLong:
                  value:
                    market_location_supply: >-
                      market location ID <malo_id> must be 11 characters long,
                      but length is <length> characters
                  summary: ID must be 11 characters long
                IDMayOnlyContainNumbers:
                  value:
                    market_location_feed: market location ID may only contain numbers
                  summary: ID may only contain numbers
                IDMayOnlyStartWithTheNumbers1-9:
                  value:
                    market_location_feed: market location ID may only start with the numbers 1-9
                  summary: ID may only start with the numbers 1-9
                CheckDigitValidationFailed:
                  value:
                    market_location_supply: >-
                      market location ID check digit must have value
                      <right_value> not <wrong_value>
                  summary: Check digit validation failed
                LocationIDIsNotAString:
                  value:
                    market_location_feed: market location ID <malo_id> is not a string
                  summary: Location ID is not a string
                LocationIDMustBe11CharactersLong:
                  value:
                    market_location_feed: >-
                      market location ID <malo_id> must be 11 characters long,
                      but length is <length> characters
                  summary: Location ID must be 11 characters long
                IDCheckDigitValidationFailed:
                  value:
                    market_location_feed: >-
                      market location ID check digit must have value
                      <right_value> not <wrong_value>
                  summary: ID check digit validation failed
                UnexpectedCheckDigit:
                  value:
                    technical_resource_id: >-
                      unexpected check digit <provided check digit>, check digit
                      should be <correct check digit>
                  summary: Unexpected check digit
                ValueIsInvalid:
                  value:
                    technical_resource_id: value <value> is invalid
                  summary: Value is invalid
                UnexpectedLength:
                  value:
                    technical_resource_id: 'unexpected length: <length>, expected: 11'
                  summary: Unexpected length
                IDMustStartWithD:
                  value:
                    technical_resource_id: ID must start with D
                  summary: ID must start with D
          description: ''
components:
  schemas:
    MasterDataTechnicalResource:
      type: object
      properties:
        accounting_model:
          $ref: '#/components/schemas/AccountingModelEnum'
        contract_id:
          type: string
          writeOnly: true
        control_resource:
          type: string
        market_location_feed:
          type: string
        market_location_supply:
          type: string
        technical_resource_id:
          type: string
      required:
        - contract_id
        - control_resource
        - technical_resource_id
    AccountingModelEnum:
      enum:
        - Z01
        - Z03
      type: string
      description: |-
        * `Z01` - Pauschal
        * `Z03` - Spitz-light

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.